<ul>
    {{ range .Pages.ByWeight }}
        <li>
            <a href="{{ .Permalink }}">{{ .Title }}</a>
            <time>{{ .Date.Format "Mon, Jan 2, 2006" }}</time>
        </li>
    {{ end }}
</ul>

